Print
I'm working on it really.  That "TLS 1.0" insecure stuff.  Really am.
 
TEMPORARY FIX:
Google Chrome
 
1.  Open this link:   https://mail.syix.com/mail/login.php
2.  On the top of the screen, it says in red letters, "Not secure", click on it, then click on "Site Settings"
3.  On this screen, on the right side, you should see "  <- mail.syix.com"
     Scroll way down, near the bottom of this long list, find Insecure Content, and set it at Allow instead of Block
4.  Click back on the Mailguard tab, it should have a button to reload the page, and away you go.
(further experiments show this doesn't always work)  (seems to always work on Firefox)
 
 
Mozilla Firefox
 
1. Open Firefox
2.  At the top, next to the magnifying glass, clear the screen and type:  about:config
     Hit enter
3.  Click the "accept the risk and continue" button
4.  Next to the new magnifying glass, type "TLS"
5.  Look down the list, find "security.tls.version.enable-deprecated".
6.  Click that line, it should turn dark colored.  Close the screen and restart Firefox.  Done.
 
Microsoft Edge (latest newest version 84) 
 
1.  Install Firefox and use it.  :-)
2.  Like Edge better?  Follow the Google Chrome instructions, but it requires a restart to work.
 
The TLS 1.0 1.1 and 1.2 (soon 1.3) stuff will get fixed soon, I promise, but these steps will make it easier for you in the mean time.